Subject: bug#12339: Bug: rm -fr . doesn't dir depth first deletion yet it is documented to do so.

From: Paul Eggert <[email-masked]>
Date: Wed, 05 Sep 2012 08:11:01 -0700

On 09/05/2012 07:56 AM, Jim Meyering wrote:
> +  /* When failing to rmdir an unreadable directory, the typical errno value
> +     is EISDIR or ENOTDIR, but that would be meaningless in a diagnostic.
> +     When that happens and the errno value from the failed open is EPERM
> +     or EACCES, use the earlier, more descriptive errno value.  */
> +  if (ent->fts_info == FTS_DNR
> +      && (errno == ENOTEMPTY || errno == EISDIR || errno == ENOTDIR)
> +      && (ent->fts_errno == EPERM || ent->fts_errno == EACCES))

Thanks for doing all that.  I did notice that the code mentions
ENOTEMPTY but the comment doesn't -- is that intentional?